#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD4,0x49,0x15,0x10,0x6C,0x91,0x8B,0x8F,0x59,0xAE,0xB3,0x9E,
		0x99,0x59,0x84,0x4C,0xD9,0x2D,0x91,0x85,0x8E,0x1A,0xB5,0xF5,
		0x11,0x79,0x52,0x2E,0xDB,0x01,0x1F,0x9E,0xAB,0x02,0x32,0xA6,
		0x22,0xB5,0x73,0xEA,0x68,0xC0,0xC8,0x87,0x0E,0x25,0xE1,0xC9,
		0xB7,0x69,0xAD,0xFE,0x96,0x2B,0x5B,0xE5,0x5D,0x42,0xE8,0x0F,
		0x40,0xB5,0x93,0x3B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
